package com.bonus.sgzb.system.mapper;

import com.bonus.sgzb.system.api.domain.BmNumLogs;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmNumLogsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(BmNumLogs record);

    int insertSelective(BmNumLogs record);

    BmNumLogs selectByPrimaryKey(Integer id);

    List<BmNumLogs> selectAll(BmNumLogs record);

    int updateByPrimaryKeySelective(BmNumLogs record);

    int updateByPrimaryKey(BmNumLogs record);
}